# Version 24.52 - 2024-01-07

### Added 🆕

-   chore: refs #8197 remove console log by:alexm
-   chore: refs #8197 replace name by:alexm
-   chore: refs #8197 unnecessary file by:alexm
-   feat: #8110 apply mixin in quasar components by:Javier Segarra
-   feat(Account & AccountRole): refs #8197 add VnCardMain by:alexm
-   feat: addDptoLink by:Jtubau
-   feat: added restore ticket function in ticket descriptor menu by:Jon
-   feat: add support service wip by:jorgep
-   feat: focus menu searchbar by:jorgep
-   feat: make additional data object by:jorgep
-   feat: message to grant access by:jorgep
-   feat: refs #6583 add default param by:jorgep
-   feat: refs #6583 add destination opt filter by:jorgep
-   feat: refs #6583 add icon by:jorgep
-   feat: refs #6583 add locale by:jorgep
-   feat: refs #7072 added test to computed fn total by:Jtubau
-   feat: refs #7235 update invoice out global form to fetch config based on serial type by:jgallego
-   feat: refs #7301 add exclude inventory supplier from list by:pablone
-   feat: refs #7301 enhance VnDateBadge styling and improve ItemLastEntries component by:pablone
-   feat: refs #7882 Added distribution point by:guillermo
-   feat: refs #7882 Added longitude & latitude by:guillermo
-   feat: refs #7936 add autocomplete on tab fn by:jorgep
-   feat: refs #7936 add company filter by:jorgep
-   feat: refs #7936 add currency check before fetching by:jorgep
-   feat: refs #7936 add dueDated field by:jorgep
-   feat: refs #7936 add number validation to VnInputNumber & new daysAgo filter in InvoiceInFilter by:jorgep
-   feat: refs #7936 add optionCaption by:jorgep
-   feat: refs #7936 add row click navigation to InvoiceInSerial by:jorgep
-   feat: refs #7936 add unit tests by:jorgep
-   feat: refs #7936 add useAccountShortToStandard composable by:jorgep
-   feat: refs #7936 calculate exchange & update taxable base by:jorgep
-   feat: refs #7936 enhance downloadFile function to support opening in a new tab by:jorgep
-   feat: refs #7936 enhance getTotal fn & add unit tests by:jorgep
-   feat: refs #7936 enhance vn-select by:jorgep
-   feat: refs #7936 improve optionLabel logic in InvoiceInVat component for better handling of numeric values by:jorgep
-   feat: refs #7936 limit decimal places by:jorgep
-   feat: refs #7936 make fields required by:jorgep
-   feat: refs #7936 show country code & isVies fields by:jorgep
-   feat: refs #7936 show id & value by:jorgep
-   feat: refs #7936 simplify optionLabel wip by:jorgep
-   feat: refs #7936 update 'isVies' label to use global translation key by:jorgep
-   feat: refs #7936 update option labels in InvoiceIn components for better clarity by:jorgep
-   feat: refs #7936 use default invoice data by:jorgep
-   feat: refs #8001 change request by:robert
-   feat: refs #8001 ticketExpeditionGrafana by:robert
-   feat: refs #8194 created VnSelectWorker component and use it in Lilium by:Jon
-   feat: refs #8197 better leftMenu and VnCardMain improvements by:alexm
-   feat: refs #8197 default leftMenu by:alexm
-   feat: refs #8197 default sectionName by:alexm
-   feat: refs #8197 keepData in VnSection by:alexm
-   feat: refs #8197 vnTableFilter by:alexm
-   feat: refs #8197 working rightMenu by:alexm
-   feat: remove re-fetch when add element by:Javier Segarra
-   feat: remove search after category by:Javier Segarra
-   feat: requested changes in item module by:Jon
-   feat: update quantity by:Javier Segarra
-   feat(VnPaginate): refs #8197 hold data when change to Card by:alexm

### Changed 📦

-   perf: #6896 REMOVE COMMENTS by:Javier Segarra
-   perf: qFormMixin by:Javier Segarra
-   perf: qFormMixin improvement by:Javier Segarra
-   perf: refs #8194 select worker component by:Jon
-   perf: refs #8197 perf by:alexm
-   perf: remove comments by:Javier Segarra
-   perf: remove unused variables (origin/warmfix_noUsedVars) by:Javier Segarra
-   refactor: added again search emit by:Jon
-   refactor: add useCau composable by:jorgep
-   refactor: deleted log by:Jon
-   refactor: deleted onUnmounted code by:Jon
-   refactor: deleted useless hidden tag by:Jon
-   refactor: deleted warnings and corrected itemTag by:Jon
-   refactor: drop logic by:jorgep
-   refactor: ignore params when searching by id on searchbar (origin/VnSearchbar-SearchRemoveParams) by:Jon
-   refactor: log error by:Jon
-   refactor: refs #7936 locale by:jorgep
-   refactor: refs #7936 simplify getTotal fn by:jorgep
-   refactor: refs #7936 update label capitalization and replace invoice type options by:jorgep
-   refactor: refs #8194 deleted unnecessary label by:Jon
-   refactor: refs #8194 modified select worker template by:Jon
-   refactor: refs #8194 modified select worker to allow no one filter from monitor ticket by:Jon
-   refactor: refs #8194 moved translation to the correct place by:Jon
-   refactor: refs #8194 requested changes by:Jon
-   refactor: refs #8194 structure changes in component and related files by:Jon
-   refactor: refs #8197 adapt AccountAcls to VnCardMain by:alexm
-   refactor: refs #8197 adapt AccountAlias by:alexm
-   refactor: refs #8197 adapt Ticket to VnCardMain by:alexm
-   refactor: refs #8197 backward compatible (8197-VnCardMain_backwardCompatibility) by:alexm
-   refactor: refs #8197 rename VnSectionMain to VnModule and VnCardMain to VnSection by:alexm
-   refactor: refs #8288 changed invoice out spanish translation by:provira
-   refactor: use locale keys by:jorgep
-   refactor: use teleport to avoid qdrawer overlapping by:Jon
-   refactor: use VnSelectWorker by:Jon

### Fixed 🛠️

-   fix: account by:carlossa
-   fix: account create by:carlossa
-   fix: accountList create by:carlossa
-   fix(AccountList): use $refs by:alexm
-   fix: add data-key by:alexm
-   fix: addLocales by:Jtubau
-   fix: dated field by:Jon
-   fix: e2e by:jorgep
-   fix: fix department filter by:carlossa
-   fix: fixed translations by:Javier Segarra
-   fix: fixed translations by:provira
-   fix: get total from api by:Javier Segarra
-   fix: handle non-object options by:jorgep
-   fix: monitorPayMethodFilter by:carlossa
-   fix: orderBy priority by:Javier Segarra
-   fix: prevent null by:jorgep
-   fix: redirection vnTable VnTableFilter by:alexm
-   fix: refs #6389 fix filter trad by:carlossa
-   fix: refs #6389 fix front, filters, itp by:carlossa
-   fix: refs #6389 front add packing filter by:carlossa
-   fix: refs #6389 front by:carlossa
-   fix: refs #6389 front filters by:carlossa
-   fix: refs #6389 ipt by:carlossa
-   fix: refs #6389 packing by:carlossa
-   fix: refs #6583 update checkbox for filtering by destination in TicketAdvanceFilter by:jorgep
-   fix: refs #7031 add test e2e by:carlossa
-   fix: refs #7031 fix zoneTest by:carlossa
-   fix: refs #7301 unnecessary console logs from ItemLastEntries.vue by:pablone
-   fix: refs #7936 changes by:jorgep
-   fix: refs #7936 decimal places & locale by:jorgep
-   fix: refs #7936 descriptor & dueday by:jorgep
-   fix: refs #7936 exclude disabled els on tab by:jorgep
-   fix: refs #7936 format tax calculation to two decimal places by:jorgep
-   fix: refs #7936 improve error handling by:jorgep
-   fix: refs #7936 redirection by:jorgep
-   fix: refs #7936 rollback by:jorgep
-   fix: refs #7936 serial by:jorgep
-   fix: refs #7936 tabulation wip by:jorgep
-   fix: refs #7936 test by:jorgep
-   fix: refs #8114 clean by:carlossa
-   fix: refs #8114 fix agencyList by:carlossa
-   fix: refs #8114 fix lifeCycle hooks by:carlossa
-   fix: refs #8114 fix pr by:carlossa
-   fix: refs #8114 fix removeAddress by:carlossa
-   fix: refs #8114 orderList by:carlossa
-   fix: refs #8114 remove logs by:carlossa
-   fix: refs #8197 mapKey (origin/8197-perf_vnTableInside, 8197-perf_vnTableInside) by:alexm
-   fix: refs #8197 redirection (8197-perf_redirection) by:alexm
-   fix: refs #8197 staticParams and redirect by:alexm
-   fix: refs #8197 vnPaginate onFetch emit by:alexm
-   fix: refs #8197 vnPaginate when change :id by:alexm
-   fix: refs #8197 vnTableFilter in vnTable by:alexm
-   fix: refs #8315 ticketBoxing test by:alexm
-   fix: remove url by:carlossa
-   fix: rollback by:jorgep
-   fix: test by:jorgep
-   fix(VnDmsList): refs #8197 add mapKey by:alexm
-   revert: refs #8197 arrayData changes by:alexm
-   test: refs #8197 fix e2e by:alexm
-   test: refs #8315 fix claimDevelopment fixtures by:alexm
-   test: refs #8315 fix clientList by:alexm
-   test: refs #8315 fix VnSelect in e2e by:alexm

# Version 24.50 - 2024-12-10

### Added 🆕

-   feat: add reportFileName option by:Javier Segarra
-   feat: all clients just with global series by:jgallego
-   feat: improve Merge branch 'test' into dev by:Javier Segarra
-   feat: manual invoice in two lines by:jgallego
-   feat: manualInvoice with address by:jgallego
-   feat: randomize functions and example by:Javier Segarra
-   feat: refs #6999 added search when user tabs on a filter with value by:Jon
-   feat: refs #6999 added tab to search in VnTable filter by:Jon
-   feat: refs #7346 #7346 improve form by:Javier Segarra
-   feat: refs #7346 address ordered by:jgallego
-   feat: refs #7346 radioButton by:jgallego
-   feat: refs #7346 style radioButton by:jgallego
-   feat: refs #7346 traducciones en cammelCase (7346-manualInvoice) by:jgallego
-   feat: refs #8038 added new functionality in VnSelect and refactor styles by:Jon
-   feat: refs #8061 #8061 updates by:Javier Segarra
-   feat: refs #8087 reactive data by:jorgep
-   feat: refs #8087 refs#8087 Redadas en travel by:Carlos Andrés
-   feat: refs #8138 add component ticket problems by:pablone
-   feat: refs #8163 add max length and more tests by:wbuezas
-   feat: refs #8163 add prop by:wbuezas
-   feat: refs #8163 add VnInput insert functionality and e2e test by:wbuezas
-   feat: refs #8163 limit with maxLength by:Javier Segarra
-   feat: refs #8163 maxLength SupplierFD account by:Javier Segarra
-   feat: refs #8163 maxLengthVnInput by:Javier Segarra
-   feat: refs #8163 use VnAccountNumber in VnAccountNumber by:Javier Segarra
-   feat: refs #8166 show notification by:jorgep

### Changed 📦

-   feat: refs #8038 added new functionality in VnSelect and refactor styles by:Jon
-   perf: add dataCy by:Javier Segarra
-   perf: refs #7346 #7346 Imrpove interface dialog by:Javier Segarra
-   perf: refs #7346 #7346 use v-show instead v-if by:Javier Segarra
-   perf: refs #8036 currentFilter by:alexm
-   perf: refs #8061 filter autonomy by:Javier Segarra
-   perf: refs #8061 solve conflicts and random posCode it by:Javier Segarra
-   perf: refs #8061 use opts from VnSelect by:Javier Segarra
-   perf: refs #8163 #8061 createNewPostCodeForm by:Javier Segarra
-   perf: remove console by:Javier Segarra
-   perf: remove timeout by:Javier Segarra
-   perf: test command fillInForm by:Javier Segarra
-   refactor: refs #8162 remove comment by:wbuezas
-   refactor: remove unnecesary things by:wbuezas

### Fixed 🛠️

-   fix: #8016 fetching data by:Javier Segarra
-   fix: icons by:jgallego
-   fix: refs #7229 download file by:jorgep
-   fix: refs #7229 remove catch by:jorgep
-   fix: refs #7229 set url by:jorgep
-   fix: refs #7229 test by:jorgep
-   fix: refs #7229 url by:jorgep
-   fix: refs #7229 url + test by:jorgep
-   fix: refs #7304 7304 clean warning by:carlossa
-   fix: refs #7304 fix list by:carlossa
-   fix: refs #7304 fix warning by:carlossa
-   fix: refs #7346 traslations by:jgallego
-   fix: refs #7529 add save by:carlossa
-   fix: refs #7529 fix e2e by:carlossa
-   fix: refs #7529 fix front by:carlossa
-   fix: refs #7529 fix scss by:carlossa
-   fix: refs #7529 fix te2e by:carlossa
-   fix: refs #7529 fix workerPit e2e by:carlossa
-   fix: refs #7529 front by:carlossa
-   fix: refs #8036 apply exprBuilder after save filters by:alexm
-   fix: refs #8036 only add where when required by:alexm
-   fix: refs #8038 solve conflicts by:Jon
-   fix: refs #8061 improve code dependencies (origin/8061_improve_newCP) by:Javier Segarra
-   fix: refs #8138 move component from ui folder by:pablone
-   fix: refs #8138 sme minor issues by:pablone
-   fix: refs #8163 #8061 createNewPostCodeForm by:Javier Segarra
-   fix: refs #8163 minor problem when keypress by:Javier Segarra
-   fix: refs #8166 show zone error by:jorgep
-   fix: removed selectedClient by:jgallego
-   refs #7529 fix workerPit by:carlossa
-   revert: refs #8061 test #8061 updates by:Javier Segarra
-   test: fix own test by:Javier Segarra
-   test: refs #8162 #8162 fix TicketList spec by:Javier Segarra

# Version 24.48 - 2024-11-25

### Added 🆕

-   chore: correct checkNotification (fix_customer_issues) by:alexm
-   chore: perf (warmFix_order_equalSalix) by:alexm
-   chore: refs #6818 add spaces by:jorgep
-   chore: refs #6818 drop useless code & comment by:jorgep
-   chore: refs #7273 sticky add btn & refactor by:jorgep
-   chore: refs #7524 fix test by:jorgep
-   chore: refs #8039 not required by:alexm
-   chore: refs #8078 fiz tests by:jorgep
-   chore: refs #8078 rollback ref by:jorgep
-   chore: remove console.log (warmFix_invoiceOut_Global) by:alexm
-   chore: typo (fix_itemType-redirection) by:alexm
-   feat: #6943 use openURL quasar by:Javier Segarra
-   feat: #7782 add cypress report by:Javier Segarra
-   feat: #7782 cypress.config watchForFileChanges by:Javier Segarra
-   feat: #7782 npm run resetDatabase by:Javier Segarra
-   feat: #7782 waitUntil domContentLoad by:Javier Segarra
-   feat: added composable to confirm orders by:Jon
-   feat: add /reports in gitignore (warmFix_reports_in_gitignore) by:alexm
-   feat: apply changes for customerModule by:Javier Segarra
-   feat: disabled buttons by:Javier Segarra
-   feat: move buttons to DescriptorMenu by:Javier Segarra
-   feat: refs #6818 add icon by:jorgep
-   feat: refs #6818 fetch url & default channel by:jorgep
-   feat: refs #6818 saysimple integration by:jorgep
-   feat: refs #6839 module searching (6839-addSearchMenu) by:jorgep
-   feat: refs #6839 normalize search by:jorgep
-   feat: refs #6919 sync entry data by:jorgep
-   feat: refs #7006 itemType basic data new inputs by:guillermo
-   feat: refs #7006 itemTypeLog added by:guillermo
-   feat: refs #7193 modified parking to use the scope and corrected small errors by:Jon
-   feat: refs #7206 added inactive label and corrected minor errors by:Jon
-   feat: refs #7308 #7308 remove warnings related to useSession by:Javier Segarra
-   feat: refs #7349 usa back con permisos by:jgallego
-   feat: refs #7524 add front test by:jorgep
-   feat: refs #7874 improve vn-notes ui by:jorgep
-   feat: refs #7970 notify changes by:Jon
-   feat(): refs #8039 canceledError not notify by:alexm
-   feat: refs #8039 notify error unify by:alexm
-   feat: refs #8039 show duplicate request in local by:alexm
-   feat: refs #8078 add shortcut multi selection by:jorgep
-   feat: refs #8078 add tests by:jorgep
-   feat: refs#8087 Redadas en travel by:Carlos Andrés
-   feat: refs #8087 Traspasar redadas a travels by:Carlos Andrés
-   feat: remove comments by:Javier Segarra
-   feat(Supplier): add companySize by:alexm
-   feat: use composable to unify logic by:Javier Segarra
-   feat(VnInput): empty to null by:alexm
-   feat(VnSelect): order data equal salix by:alexm
-   feat(VnSelect): refs #7136 add scroll (7136-vnSelect_paginate_simplify_2) by:alexm

### Changed 📦

-   chore: perf (warmFix_order_equalSalix) by:alexm
-   chore: refs #7273 sticky add btn & refactor by:jorgep
-   fix: better performance (warmFix_accountAcls) by:alexm
-   perf: minor bugs detected by:Javier Segarra
-   perf: refs #6943 #6943 merge command by:Javier Segarra
-   perf: refs #7283 #7283 declare composable inst4ead code duplicated by:Javier Segarra
-   perf: refs #7283 #7283 handle composable i18n by:Javier Segarra
-   perf: refs #7283 #7283 handle i18n by:Javier Segarra
-   perf: refs #7283 #7283 i18n params by:Javier Segarra
-   perf: refs #7308 #7308 remove comments by:Javier Segarra
-   perf: remove appendParams by:Javier Segarra
-   perf: use const in VnLocation by:Javier Segarra
-   perf: use required instead :required="true" by:Javier Segarra
-   refactor: apply QPopupProxy by:wbuezas
-   refactor: changed confirmOrder directory by:Jon
-   refactor: change keyup.enter for update:model-value by:wbuezas
-   refactor(InvoiceInBasicData): use VnDms by:alexm
-   refactor: modified composable by:Jon
-   refactor: refs #6818 change channel source by:jorgep
-   refactor: refs #6818 channel logic by:jorgep
-   refactor: refs #6919 export filter by:jorgep
-   refactor: refs #7132 1st wave of changes in global translations files by:Jon
-   refactor: refs #7132 account's module translations by:Jon
-   refactor: refs #7132 customer's module translations by:Jon
-   refactor: refs #7132 deleted pageTitles repeated by:Jon
-   refactor: refs #7132 delete duplicate translations' keys by:Jon
-   refactor: refs #7132 deleted useless code by:Jon
-   refactor: refs #7132 global translations files changed by:Jon
-   refactor: refs #7266 Changed method name by:guillermo
-   refactor: refs #7950 Created cmr model by:guillermo
-   refactor: refs #7970 added emit by:Jon
-   refactor: refs #7970 refactored VnConfirm to emit events by:Jon
-   refactor: refs #8185 modified LeftMenu to avoid duplicates by:Jon
-   refactor: remove unused variable by:wbuezas
-   refactor: revert catalog changes by:Jon
-   refactor: small change by:wbuezas
-   test: refactor e2e by:alexm
-   test: refs #8039 add hasNotify and, refactor: agencyWorkCenter test by:alexm

### Fixed 🛠️

-   chore: refs #7524 fix test by:jorgep
-   fix: better performance (warmFix_accountAcls) by:alexm
-   fix: catalog view category and type filter by:wbuezas
-   fix: category and tags filters by:Jon
-   fix: changed route.query by:Jon
-   fix: change type vnput by:Javier Segarra
-   fix(ClaimList): stateCode orderBy priority by:alexm
-   fix: entryFilters by:carlossa
-   fix: filter panel by:Jon
-   fix(InvoiceOutGlobal): parallelism by:alexm
-   fix: itemBotanical by:Javier Segarra
-   fix: itemType redirection and fix filters by:alexm
-   fix: logout spec (warmFix_logout.spec) by:alexm
-   fix: merge errors by:alexm
-   fix: order catalog by:wbuezas
-   fix: order catalog fixes by:wbuezas
-   fix: refs #6818 use right icon by:jorgep
-   fix: refs #6896 fixed module problems by:Jon
-   fix: refs #7193 fixed e2e test by:Jon
-   fix: refs #7206 deleted duplicate code by:Jon
-   fix: refs #7273 use same filter by:jorgep
-   fix: refs #7283 #7283 bugs by:Javier Segarra
-   fix: refs #7283 #7283 ItemDiary subToolbar by:Javier Segarra
-   fix: refs #7283 #7283 ItemSummary bugs by:Javier Segarra
-   fix: refs #7283 Account image resolution by:guillermo
-   fix: refs #7283 css by:jorgep
-   fix: refs #7283 filter by:carlossa
-   fix: refs #7283 fix image by:carlossa
-   fix: refs #7283 fix pr by:carlossa
-   fix: refs #7283 fix preview by:carlossa
-   fix: refs #7283 fix required by:carlossa
-   fix: refs #7283 item filters by:carlossa
-   fix: refs #7283 itemtype fix by:carlossa
-   fix: refs #7283 order translation by:carlossa
-   fix: refs #7283 preview by:carlossa
-   fix: refs #7283 tooltips !Item by:Javier Segarra
-   fix: refs #7306 clean warning by:carlossa
-   fix: refs #7310 clean warning by:carlossa
-   fix: refs #7323 locale #7396 by:jorgep
-   fix: refs #7323 show advanced fields by:jorgep
-   fix: refs #7349 dependencia no usada by:jgallego
-   fix: refs #7524 e2e & worker module by:jorgep
-   fix: refs #7874 add title by:jorgep
-   fix: refs #7874 show name by:jorgep
-   fix: refs #7943 use correct data-key by:jorgep
-   fix: refs #7943 use summary by:jorgep
-   fix: refs #8039 bad tests by:alexm
-   fix: refs #8039 o not handle unnecessary errors by:alexm
-   fix: refs #8078 e2e #7970 by:jorgep
-   fix: refs #8078 handleSelection by:jorgep
-   fix: refs #8078 improve cy command (8078-enableMultiSelection) by:jorgep
-   fix: refs #8078 improve handleSelection by:jorgep
-   fix: reset category by:wbuezas
-   fix: tag chips by:Jon
-   fix: vnSearchbar spec (warmFix_vnSearchBar.spec) by:alexm
-   fix(VnSelect): setOptions when applyFilter by:alexm
-   fix: worker test e2e by:Jon
-   Merge branch 'dev' into fix_customer_issues by:Javier Segarra
-   refactor: revert catalog changes by:Jon
-   refs #7283 fix conflicts by:carlossa
-   refs #7283 fix descriptorproxy by:carlossa
-   refs #7283 fixedPrice by:carlossa
-   refs #7283 fixedPrices by:carlossa
-   refs #7283 fix itemFixed by:carlossa
-   refs #7283 fix itemFixedPrice by:carlossa
-   refs #7283 fix itemMigration by:carlossa
-   refs #7283 fix itemMigration list filters by:carlossa
-   refs #7283 fix items by:carlossa
-   refs #7283 fix items error get images by:carlossa
-   refs #7283 fix items images by:carlossa
-   refs #7283 fix request by:carlossa
-   refs #7283 fix searchbar by:carlossa
-   refs #7283 fix viewSummary by:carlossa
-   refs #7283 fix yml list basicData by:carlossa
-   refs #7283 itemRequest fix by:carlossa
-   refs #7283 itemRequest fix deny by:carlossa
-   refs #7283 itemRequest fix reload by:carlossa
-   refs #72983 fix filters by:carlossa
-   revert: commit by:Javier Segarra
-   revert e57a253c6f649382da187d1129449d265fb26d3b by:Javier Segarra
-   test: #8162 fix clientList spec by:Javier Segarra
-   test: #8162 fix vnLocation spec by:Javier Segarra
-   test: fix arrayData by:Javier Segarra
-   test: fix e2e by:alexm
-   test: fix e2e by:Javier Segarra
-   test: refs #8039 fix WorkerNotification e2e by:alexm
-   test: refs #8039 fix ZoneWarehouse e2e by:alexm
-   warmfix: ItemLastEntries to date (origin/warmfix_itemLastEntriesFilter) by:Javier Segarra

# Version 24.40 - 2024-10-02

### Added 🆕

-   chore: refs #4074 admit several acls by:jorgep
-   chore: refs #4074 drop workerCreate by:jorgep
-   chore: refs #4074 fix tests by:jorgep
-   chore: refs #4074 wip replace useRole for useAcl by:jorgep
-   chore: refs #7155 remove console.log by:alexm
-   chore: refs #7155 typo by:alexm
-   chore: refs #7663 add test by:jorgep
-   chore: refs #7663 create test wip by:jorgep
-   chore: refs #7663 drop useless code (origin/7663-setWeight) by:jorgep
-   chore: refs #7828 fix e2e by:jorgep
-   feat(AccountBasicData): add twoFactorFk by:alexm
-   feat: add max rule by:Javier Segarra
-   feat: add shortcut add event in some subSections by:Javier Segarra
-   feat: add shortcut more buttons (origin/add_shortcut_add_subSections) by:Javier Segarra
-   feat: add tooltip CustomerNewCustomAgent by:Javier Segarra
-   feat: apply color when today by:Javier Segarra
-   feat: change label because its more natural by:Javier Segarra
-   feat: change order by:Javier Segarra
-   feat: change QBadge color by:Javier Segarra
-   feat: change url CustomerList by:Javier Segarra
-   feat: copy customer countryFk by:Javier Segarra
-   feat: create VnSelectEnum and add in AccountBasicData and ClaimBasicData by:alexm
-   feat: CustomerBalance by:Javier Segarra
-   feat: CustomerConsumptionFilter by:Javier Segarra
-   feat: customer consumption (origin/7830-customerDesplegables, 7830-customerDesplegables) by:alexm
-   feat: CustomerCreateTicket by:Javier Segarra
-   feat: CustomerCredit section by:Javier Segarra
-   feat: CustomerGreuges by:Javier Segarra
-   feat: CustomerSample to VnTable by:Javier Segarra
-   feat: global handler (origin/fix_global_handler, fix_global_handler) by:alexm
-   feat: goToSupplier by:Javier Segarra
-   feat: handle newValue by:Javier Segarra
-   feat: handle same multiple CP by:Javier Segarra
-   feat: hide menus on small view (origin/hideMenu) by:jorgep
-   feat: minor changes by:Javier Segarra
-   feat: orderCreateDialog by:Javier Segarra
-   feat: refs #4074 drop useless code by:jorgep
-   feat: refs #4074 useAcl in vnSelectDialog by:jorgep
-   feat: refs #6346 new wagon type section by:Jon
-   feat: refs #7404 add m3 and fix detail by:pablone
-   feat: refs #7404 add some style to the form and reorganize fields by:pablone
-   feat: refs #7404 add travel m3 to reserves form by:pablone
-   feat: refs #7404 style dynamic text color by:pablone
-   feat: refs #7404 travel m3 form by:pablone
-   feat: refs #7500 added VnImg to show files by:Jon
-   feat: refs #7663 add setWeight menu opt (wip) by:jorgep
-   feat: refs #7663 fine tunning by:jorgep
-   feat: refs #7828 create axios instance which no manage errors (origin/7828-makeCorrectCalls) by:jorgep
-   feat: refs #7828 useAcl & cherry pick mail data worker by:jorgep
-   feat: remove cli warnings by:Javier Segarra
-   feat: show preparation field by:Javier Segarra
-   feat: stateGroupedFilter by:Javier Segarra
-   feat: translations fixed by:jgallego
-   feat(TravelList): add daysOnward by:alexm
-   feat: travel m3 by:pablone
-   feat: use disableInifiniteScroll property by:Javier Segarra
-   feat: VnImg draggable by:Javier Segarra
-   feat: vnLocation changes by:Javier Segarra
-   feat: vnSelect exprBuilder by:Javier Segarra
-   fix: refs #7404 remove some style by:pablone
-   fix: refs #7404 style non center pop up (origin/7404-fixFront) by:pablone
-   fix: refs #7404 translates and some minor style fixes by:pablone
-   fix: styles by:Javier Segarra
-   perf: improve style by:Javier Segarra

### Changed 📦

-   perf: CustomerBalance by:Javier Segarra
-   perf: CustomerBasicData by:Javier Segarra
-   perf: CustomerBasicData.salesPersonFk by:Javier Segarra
-   perf: CustomerSummary by:Javier Segarra
-   perf: customerSummaryTable by:Javier Segarra
-   perf: disable card option by:Javier Segarra
-   perf: i18n by:Javier Segarra
-   perf: improve by:Javier Segarra
-   perf: improve style by:Javier Segarra
-   perf: imrpove exprBuilder by:Javier Segarra
-   perf: minor comments by:Javier Segarra
-   perf: refs #6346 previous changes by:Jon
-   perf: sendEmail customerConsumption by:Javier Segarra
-   perf: solve reload CardSummary component by:Javier Segarra
-   perf: update CustommerDescriptor by:Javier Segarra
-   refactor: refs #4074 accept array by:jorgep
-   refactor: refs #4074 rollback by:jorgep
-   refactor: refs #4074 use acl & drop useless roles by:jorgep
-   refactor: refs #4074 useAcl in navigationStore & router by:jorgep
-   refactor: refs #4074 use fn (origin/4074-useAcls) by:jorgep
-   refactor: refs #4074 use VnTitle by:jorgep
-   refactor: refs #6346 deleted front error checking by:Jon
-   refactor: refs #6346 requested changes by:Jon
-   refactor: refs #6346 wagons to VnTable by:Jon
-   refactor: refs #7500 deleted useless code by:Jon
-   refactor: refs #7500 refactor vnimg when storage is dms by:Jon
-   refactor: refs #7828 wip by:jorgep

### Fixed 🛠️

-   chore: refs #4074 fix tests by:jorgep
-   chore: refs #7828 fix e2e by:jorgep
-   feat: refs #7404 add m3 and fix detail by:pablone
-   feat: translations fixed by:jgallego
-   fix: #5938 grouped filter by:Javier Segarra
-   fix: #6943 fix customerSummaryTable by:Javier Segarra
-   fix: #6943 show nickname salesPerson by:Javier Segarra
-   fix: address-create i18n by:Javier Segarra
-   fix: comments (origin/6943_fix_customer_module, 6943_fix_customer_module) by:Javier Segarra
-   fix: CusomerSummary to Address by:Javier Segarra
-   fix: CustomerAddress mobile by:Javier Segarra
-   fix: CustomerBillingData by:Javier Segarra
-   fix: Customerconsumption by:Javier Segarra
-   fix: customer credit opinion by:alexm
-   fix: CustomerCreditOpinion workerDescriptor by:Javier Segarra
-   fix: CustomerDescriptorAccount by:Javier Segarra
-   fix: CustomerDescriptor.bussinessTypeFk by:Javier Segarra
-   fix: CustomerFilter by:Javier Segarra
-   fix: CustomerGreuges by:Javier Segarra
-   fix: CustomerMandates by:Javier Segarra
-   fix: Customer module find salesPersons out of first get by:Javier Segarra
-   fix: CustomerRecovery transalate label by:Javier Segarra
-   fix: CustomerSamples by:Javier Segarra
-   fix: customerSummaryToTicketList button by:Javier Segarra
-   fix: CustomerWebPayment by:Javier Segarra
-   fix: CustommerSummaryTable Proxy by:Javier Segarra
-   fix: deleted code by:Jon
-   fix: duplicate code by:alexm
-   fix: emit:updateModelValue by:Javier Segarra
-   fix: fixed wagon tests by:Jon
-   fix: fix wagon list reload by:Jon
-   fix: i18n en preparation label by:Javier Segarra
-   fix: infiniteScroll by:Javier Segarra
-   fix: isFullMovable checkbox by:Javier Segarra
-   fix: merge conflicts by:Javier Segarra
-   fix: merge in dev by:alexm
-   fix: missing code by:Jon
-   fix: Options VnSelect properties by:Javier Segarra
-   fix: refs #4074 await to watch by:jorgep
-   fix: refs #4074 drop wrong acl by:jorgep
-   fix: refs #4074 workerCard data-key by:jorgep
-   fix: refs #6346 fix list and create by:pablone
-   fix: refs #6943 prevent null (origin/6943-warmfix-preventNull) by:jorgep
-   fix: refs #7155 remove userParams in watcher (7155-travel_daysOnward) by:alexm
-   fix: refs #7155 use chip-locale (origin/7155-travel_daysOnward_2, 7155-travel_daysOnward_2) by:alexm
-   fix: refs #7404 remove console.log by:pablone
-   fix: refs #7404 remove from test by:pablone
-   fix: refs #7404 remove some style by:pablone
-   fix: refs #7404 revert commit prevent production access by:pablone
-   fix: refs #7404 style non center pop up (origin/7404-fixFront) by:pablone
-   fix: refs #7404 translates and some minor style fixes by:pablone
-   fix: refs #7500 fixed e2e test by:Jon
-   fix: refs #7500 fixed showing images wrongly by:Jon
-   fix: refs #7830 customer credit by:pablone
-   fix: refs #7830 remove console.log by:pablone
-   fix: remove console.log by:pablone
-   fix: remove FetchData by:Javier Segarra
-   fix: remove FIXME (origin/6943_fix_customerSummaryTable) by:Javier Segarra
-   fix: remove print variable by:Javier Segarra
-   fix: remove promise execution by:Javier Segarra
-   fix: reset VnTable scroll properties by:Javier Segarra
-   fix: rule by:Javier Segarra
-   fix: solve conflicts from master to test by:Javier Segarra
-   fix: split params (origin/warmfix-addSearchUrl) by:jorgep
-   fix: state cell by:Javier Segarra
-   fix: stop call back event hasMoreData by:Javier Segarra
-   fix: styles by:Javier Segarra
-   fix: SupplierFiscalData VnLocation (origin/fix_supplierFD_location) by:Javier Segarra
-   fix: VnLocation test by:Javier Segarra
-   fix(VnTable): header background-color by:alexm
-   fix(VnTable): sanitizer value is defined by:carlossa
-   fix: wagon reload (origin/FixWagonRedirect) by:Jon
-   fix: workerDms filter workerFk by:alexm
-   fix(WorkerList): add type email by:alexm
-   Merge remote-tracking branch 'origin/7830-customerDesplegables' into 6943_fix_customerSummaryTable by:Javier Segarra
-   refs #7155 scopeDays fix (origin/7155-scopeDays) by:carlossa
-   revert: vnUSerLink change by:Javier Segarra
-   test: fix test (7677_vnLocation_perf) by:Javier Segarra

# Version 24.38 - 2024-09-17

### Added 🆕

-   chore: refs #6772 fix e2e (origin/6772-warmfix-fixE2e) by:jorgep
-   chore: refs #7323 worker changes by:jorgep
-   chore: refs #7353 fix warnings by:jorgep
-   chore: refs #7353 use Vue component nomenclature by:jorgep
-   chore: refs #7356 fix type by:jorgep
-   feat(AccountConnections): use VnToken by:alexm
-   feat: add key to routerView by:Javier Segarra
-   feat: add plus shortcut in VnTable by:Javier Segarra
-   feat: add row by:Javier Segarra
-   feat: addRow withour dialog by:Javier Segarra
-   feat: apply mixin by:Javier Segarra
-   feat by:Javier Segarra
-   feat: change navBar buttons by:Javier Segarra
-   feat: dense rows by:Javier Segarra
-   feat: fields with wrong name by:jgallego
-   feat: fix bugs and filters by:Javier Segarra
-   feat: fix refund parameters by:jgallego
-   feat: handle create row by:Javier Segarra
-   feat: handle dates by:Javier Segarra
-   feat: handle qCheckbox 3rd state by:Javier Segarra
-   feat: imrpove VnInputTime to set cursor at start by:Javier Segarra
-   feat: keyShortcut directive by:Javier Segarra
-   feat: minor fixes by:jgallego
-   feat: only filter by isDestiny by:Javier Segarra
-   feat: refs #211153 businessDataLinkGrafana by:robert
-   feat: refs #7129 add km start and end on create form by:pablone
-   feat: refs #7353 add filter & fix customTags by:jorgep
-   feat: refs #7353 add locale by:jorgep
-   feat: refs #7353 add no one opt by:jorgep
-   feat: refs #7353 add right icons by:jorgep
-   feat: refs #7353 imporve toDateFormat by:jorgep
-   feat: refs #7353 salesPerson nickname & id by:jorgep
-   feat: refs #7353 split sections by:jorgep
-   feat: refs #7847 remove reload btn by:jorgep
-   feat: refs #7847 remove reload fn by:jorgep
-   feat: refs #7889 added shortcuts to modules by:Jon
-   feat: refs #7911 added shortcut to modules by:Jon
-   feat: refuncInvoiceForm component by:jgallego
-   feat: remove duplicity by:Javier Segarra
-   feat: remove future itemFixedPrices by:Javier Segarra
-   feat: replace stickyButtons by subtoolbar by:Javier Segarra
-   feat: required validation by:Javier Segarra
-   feat: show bad dates by:Javier Segarra
-   feat: showdate icons by:Javier Segarra
-   feat: solve ItemFixedFilterPanel by:Javier Segarra
-   feat: transfer an invoice by:jgallego
-   feat: try to fix ItemFixedFilterPanel by:Javier Segarra
-   feat: unnecessary changes by:Javier Segarra
-   feat: update changelog (origin/7896_down_devToTest_2436) by:Javier Segarra
-   feat: updates by:Javier Segarra
-   feat: update version and changelog by:Javier Segarra
-   feat: vnInput\* by:Javier Segarra
-   feat: with VnTable by:Javier Segarra
-   refs #6772 feat: fix approach by:Javier Segarra
-   refs #6772 feat: refresh shelving.basic-data by:Javier Segarra
-   style: show subName value by:Javier Segarra

### Changed 📦

-   perf: add v-shortcut in VnCard by:Javier Segarra
-   perf: approach by:Javier Segarra
-   perf: change directive location by:Javier Segarra
-   perf: change slots order by:Javier Segarra
-   perf: examples by:Javier Segarra
-   perf: hide icon for VnInputDate by:Javier Segarra
-   perf: improve ItemFixedPricefilterPanel by:Javier Segarra
-   perf: improve mainShrotcutMixin by:Javier Segarra
-   perf: minor clean code by:Javier Segarra
-   perf: onRowchange by:Javier Segarra
-   perf: order by by:Javier Segarra
-   perf: order components by:Javier Segarra
-   perf: refs #7889 perf shortcut test by:Jon
-   perf: remove console.log by:Javier Segarra
-   perf: remove icons in header slot by:Javier Segarra
-   perf: remove print variables by:Javier Segarra
-   perf: restore CustomerBasicData by:Javier Segarra
-   refactor: deleted useless prop by:Jon
-   refactor: deleted useless prop in FetchedTags by:Jon
-   refactor: refs #7323 drop useless code by:jorgep
-   refactor: refs #7353 clients correction by:jorgep
-   refactor: refs #7353 clients correction wip by:jorgep
-   refactor: refs #7353 ease logic by:jorgep
-   refactor: refs #7353 order correction by:jorgep
-   refactor: refs #7353 simplify code by:jorgep
-   refactor: refs #7353 tickets correction by:jorgep
-   refactor: refs #7353 use global locales by:jorgep
-   refactor: refs #7354 changed descriptor menu options by:Jon
-   refactor: refs #7354 changed icon color in table and notification when deleting a zone by:Jon
-   refactor: refs #7354 fix tableFilters by:Jon
-   refactor: refs #7354 modified VnInputTime by:Jon
-   refactor: refs #7354 refactor deliveryPanel by:Jon
-   refactor: refs #7354 refactor zones section and fixed e2e tests by:Jon
-   refactor: refs #7354 requested changes by:Jon
-   refactor: refs #7354 reverse deliveryPanel changes by:Jon
-   refactor: refs #7354 Zone migration changes by:Jon
-   refactor: refs #7889 deleted subtitle attr and use keyBinding instead by:Jon
-   refactor: refs #7889 modified shortcut and dashboard, and added tootlip in LeftMenu by:Jon
-   refs #6722 perf: not fetch when id not exists by:Javier Segarra
-   refs #6772 perf: change variable name by:JAVIER SEGARRA MARTINEZ
-   refs #6772 perf: use ArrayData (6772_reload_sections) by:Javier Segarra
-   refs #7283 refactor fix ItemDescriptor by:carlossa
-   refs #7283 refactor ItexDescriptor by:carlossa

### Fixed 🛠️

-   chore: refs #6772 fix e2e (origin/6772-warmfix-fixE2e) by:jorgep
-   chore: refs #7353 fix warnings by:jorgep
-   chore: refs #7356 fix type by:jorgep
-   feat: fix bugs and filters by:Javier Segarra
-   feat: fix refund parameters by:jgallego
-   feat: minor fixes by:jgallego
-   feat: refs #7353 add filter & fix customTags by:jorgep
-   feat: try to fix ItemFixedFilterPanel by:Javier Segarra
-   fix: add border-top by:Javier Segarra
-   fix: added missing descriptors and small details by:Jon
-   fix branch by:carlossa
-   fix: call upsert when crudModel haschanges by:Javier Segarra
-   fix(ClaimList): fix summary by:alexm
-   fix: cli warnings by:Javier Segarra
-   fix: editTableOptions by:Javier Segarra
-   fix events and descriptor menu by:Jon
-   fix: InvoiceIn sections (origin/6772_reload_sections) by:Javier Segarra
-   fix: minor changes by:Javier Segarra
-   fix: minor error whit dates by:Javier Segarra
-   fix: module icon by:Javier Segarra
-   fix: options QDate by:Javier Segarra
-   fix: refs #6900 e2e error by:jorgep
-   fix: refs #6900 rollback by:jorgep
-   fix: refs #7353 css by:jorgep
-   fix: refs #7353 hide search param (origin/7353-warmfix-fixSearchbar) by:jorgep
-   fix: refs #7353 iron out filter by:jorgep
-   fix: refs #7353 iron out ticket table by:jorgep
-   fix: refs #7353 padding by:jorgep
-   fix: refs #7353 salesClientTable by:jorgep
-   fix: refs #7353 salesorderTable by:jorgep
-   fix: refs #7353 saleTicketMonitors by:jorgep
-   fix: refs #7353 use same datakey by:jorgep
-   fix: refs #7353 vnTable colors by:jorgep
-   fix: refs #7354 e2e tests by:Jon
-   fix: refs #7354 fix delivery days by:Jon
-   fix: refs #7354 fix list searchbar and filters by:Jon
-   fix: refs #7354 fix VnSearchbar search for zone section & finished basic tests by:Jon
-   fix: refs #7354 fix VnTable filters and agency field by:Jon
-   fix: refs #7354 fix zoneSearchbar by:Jon
-   fix: refs #7354 requested changes by:Jon
-   fix: refs #7356 colors by:jorgep
-   fix: refs #7356 create claim dialog by:jorgep
-   fix: refs #7889 fixed shortcut test by:Jon
-   fix: refs #7903 fixed ticket's search bar and keybinding tooltip by:Jon
-   fix: refs #7911 fixed shortcut and related files by:Jon
-   fix: remove condition duplicated by:Javier Segarra
-   fix: remove property by:Javier Segarra
-   fix tootltip by:carlossa
-   fix traduction by:carlossa
-   fix(VnSectionMain): add QPage by:alexm
-   fix(zone): zoneLocation and the others searchbar by:alexm
-   refactor: refs #7354 fix tableFilters by:Jon
-   refactor: refs #7354 refactor zones section and fixed e2e tests by:Jon
-   refs #6772 feat: fix approach by:Javier Segarra
-   refs #6772 fix: claimPhoto reload by:Javier Segarra
-   refs #6896 fix searchbar by:carlossa
-   refs #6897 fix entry by:carlossa
-   refs #6899 fix invoiceFix by:carlossa
-   refs #6899 fix order by:carlossa
-   refs #7283 fix by:carlossa
-   refs #7283 fix ItemDescriptor warehouse by:carlossa
-   refs #7283 refactor fix ItemDescriptor by:carlossa
-   refs #7355 #7366 fix account, summary, list, travelList, tooltip by:carlossa
-   refs #7355 fix accountPrivileges by:carlossa
-   refs #7355 fix accounts, vnTable by:carlossa
-   refs #7355 fix privileges by:carlossa
-   refs #7355 fix roles filters by:carlossa
-   refs #7355 fix total by:carlossa
-   refs #7355 fix views summarys, entryList, travelList refact by:carlossa
-   refs #7366 fix travel hours by:carlossa
-   test: fix e2e by:Javier Segarra

# Version 24.36 - 2024-08-27

### Added 🆕

-   feat(FormModel): trim data by default by:alexm
-   feat(orderBasicData): add notes by:alexm
-   feat(orderList): correct create order by:alexm
-   feat(orderList): use orderFilter and fixed this by:alexm
-   feat: #7323 handle workerPhoto (origin/7323_workerPhoto, 7323_workerPhoto) by:Javier Segarra
-   feat: add recover password and reset password by:alexm
-   feat: refs #7346 add seriaType option by:jgallego
-   feat: refs #7346 elimino === by:jgallego
-   feat: refs #7346 formdata uses serialType by:jgallego
-   feat: refs #7346 refactor by:jgallego
-   feat: refs #7346 sonarLint warnings (origin/7346-invoiceOutMultilple, 7346-invoiceOutMultilple) by:jgallego
-   feat: refs #7710 uses cloneAll by:jgallego
-   fix: refs #7717 fix OrderList table filters' and summary table style by:Jon

### Changed 📦

-   feat: refs #7346 refactor by:jgallego
-   perf: date fields (mindshore/feature/TicketFutureFilter, feature/TicketFutureFilter) by:Javier Segarra
-   perf: refs #7717 right menu filter by:Jon
-   perf: use ref at component start by:Javier Segarra
-   refactor: refs #7717 delete useless function and import by:Jon
-   refactor: refs #7717 deleted useless code by:Jon

### Fixed 🛠️

-   feat(orderList): use orderFilter and fixed this by:alexm
-   fix(VnTable): orderBy v-model by:alexm
-   fix(account_card): redirection by:carlossa
-   fix(orderLines): reload when delete and redirect when confirm by:alexm
-   fix: #6336 ClaimListStates by:Javier Segarra
-   fix: account subsections cards by:carlossa
-   fix: duplicate key by:Jon
-   fix: order description to vnTable by:alexm
-   fix: orderCatalogFilter order by:alexm
-   fix: quasar build warnings (6336_claim_fix_states) by:Javier Segarra
-   fix: refs #7717 fix OrderList table filters' and summary table style by:Jon
-   fix: refs #7717 fix basic data form & minor errors by:Jon
-   fix: refs #7717 fix catalog filter, searchbar redirect and search by:Jon
-   fix: refs #7717 fix catalog searchbar and worker tests(refs #7323) by:Jon
-   fix: refs #7717 fix order sections by:Jon
-   fix: refs #7717 fix volume and lines redirect by:Jon
-   fix: refs #7717 fixed searchbar filter with rightmenu filters' applied by:Jon
-   fix: test by:alexm
-   fix: ticketDescriptorMenu by:Javier Segarra
-   refs #7355 account fixes by:carlossa

# Version 24.34 - 2024-08-20

### Added 🆕

-   chore: #6900 order params by:jorgep
-   chore: refs #6900 drop console log by:jorgep
-   chore: refs #6900 drop vnCurrency by:jorgep
-   chore: refs #6900 fix e2e tests by:jorgep
-   chore: refs #6900 mv rectificative logic by:jorgep
-   chore: refs #6900 responsive code by:jorgep
-   chore: refs #7283 drop array types by:jorgep
-   chore: refs #7283 drop import by:jorgep
-   chore: refs #7283 fix e2e logout by:jorgep
-   chore: refs #7283 update VnAvatar title handling by:jorgep
-   chore: refs #7323 fix test by:jorgep
-   chore: refs #7323 remove unused import by:jorgep
-   chore: refs #7323drop commented code by:jorgep
-   feat(VnCard): use props searchbar by:alexm
-   feat(customer): improve basicData to balance by:alexm
-   feat(customer_balance): refs #6943 add functionality from salix by:alexm
-   feat(customer_balance): refs #6943 translations by:alexm
-   feat: refs #6130 husky commitLint config by:pablone
-   feat: refs #6130 husky hooks by:pablone
-   feat: refs #6900 add InvoiceInSerial by:jorgep
-   feat: refs #6900 add locale by:jorgep
-   feat: refs #6900 use VnTable & sort filter fields by:jorgep
-   feat: refs #7323 add flex-wrap by:jorgep
-   feat: refs #7323 add my account" btn & fix models log selectable by:jorgep
-   feat: refs #7323 improve test by:jorgep

### Changed 📦

-   refactor(customer_log: use VnLog by:alexm
-   refactor(customer_recovery): to vnTable by:alexm
-   refactor(customer_webAccess): FormModel by:alexm
-   refactor: refs #7283 update avatar size and color by:jorgep

### Fixed 🛠️

-   chore: refs #6900 fix e2e tests by:jorgep
-   chore: refs #7283 fix e2e logout by:jorgep
-   chore: refs #7323 fix test by:jorgep
-   feat: refs #7323 add my account" btn & fix models log selectable by:jorgep
-   fix #7355 fix acls list by:carlossa
-   fix(VnFilterPanel): emit userParams better by:alexm
-   fix(claim_summary): url links (HEAD -> 7864_testToMaster_2434, origin/test, origin/7864_testToMaster_2434, test) by:alexm
-   fix(customer_sms: fix reload by:alexm
-   fix(twoFactor): unify code login and twoFactor by:alexm
-   fix: VnCard VnSearchbar props by:alexm
-   fix: accountMailAlias by:alexm
-   fix: refs #6130 add commit lint modules by:pablone
-   fix: refs #6130 pnpm-lock.yml by:pablone
-   fix: refs #6900 improve loading by:jorgep
-   fix: refs #6900 improve logic (origin/6900-addSerial) by:jorgep
-   fix: refs #6900 improve logic by:jorgep
-   fix: refs #6900 rectificative btn reactivity by:jorgep
-   fix: refs #6900 use type number by:jorgep
-   fix: refs #6900 vat & dueday by:jorgep
-   fix: refs #6900 vat, dueday & intrastat by:jorgep
-   fix: refs #6989 show entity name & default time from config table by:jorgep
-   fix: refs #7283 basicData locale by:jorgep
-   fix: refs #7283 itemLastEntries filter by:jorgep
-   fix: refs #7283 itemTags & VnImg by:jorgep
-   fix: refs #7283 locale by:jorgep
-   fix: refs #7283 min-width vnImg by:jorgep
-   fix: refs #7283 use vnAvatar & add optional zoom by:jorgep
-   fix: refs #7283 userPanel pic by:jorgep
-   fix: refs #7323 add department popup by:jorgep
-   fix: refs #7323 add locale by:jorgep
-   fix: refs #7323 css righ menu by:jorgep
-   fix: refs #7323 data-key & add select by:jorgep
-   fix: refs #7323 load all opts by:jorgep
-   fix: refs #7323 righ menu bug by:jorgep
-   fix: refs #7323 use global locale by:jorgep
-   fix: refs #7323 use workerFilter (origin/7323-warmfix-fixErrors) by:jorgep
-   fix: refs #7323 vnsubtoolbar css by:jorgep
-   fix: refs #7323 wrong css by:jorgep
-   refs #7355 fix Rol, alias by:carlossa
-   refs #7355 fix accountAlias by:carlossa
-   refs #7355 fix alias summary by:carlossa
-   refs #7355 fix conflicts by:carlossa
-   refs #7355 fix create Rol by:carlossa
-   refs #7355 fix list by:carlossa
-   refs #7355 fix lists redirects summary by:carlossa
-   refs #7355 fix roles by:carlossa
-   refs #7355 fix search exprBuilder by:carlossa
-   refs #7355 fix vnTable by:carlossa

# Version 24.32 - 2024-08-06

### Added 🆕

-   chore: refs #7197 drop space by:jorgep
-   chore: refs #7197 drop useless attr by:jorgep
-   chore: refs #7197 fix test by:jorgep
-   chore: refs #7197 fix tests by:jorgep
-   chore: refs #7197 fix unit tests by:jorgep
-   chore: refs #7197 idrop useless class by:jorgep
-   chore: refs #7197 improve form filling in Cypress tests by:jorgep
-   chore: refs #7197 remove unused import by:jorgep
-   feat: customerPayments card view by:alexm
-   feat: refs #6943 lock grid mode by:jorgep
-   feat: refs #6943 wip consumption filter by:jorgep
-   feat: refs #7197 add correcting filter by:jorgep
-   feat: refs #7197 add supplier activities filter option by:jorgep
-   feat: refs #7197 summary responsive by:jorgep
-   feat: refs #7323 fix descriptors, added VnTable and minor changes by:Jon
-   feat: refs #7323 fixed tests, changed calendar styles and fix workerCreate by:Jon
-   feat: refs #7356 list & weekly to VnTable and style fixes by:Jon
-   feat: refs #7401 add menu options by:pablone
-   feat: SalesClientTable by:Javier Segarra
-   feat: salesOrderTable by:Javier Segarra
-   feat: salesTicketTable by:Javier Segarra
-   feat: VnTable SalesTicketTable by:Javier Segarra
-   fix: columns style by:alexm

### Changed 📦

-   perf: LeftMenu show/hide by:Javier Segarra
-   perf: refs #7356 TicketList state column by:Jon
-   perf: VnFilterPanel (origin/7323_WorkerMigration_End) by:Javier Segarra
-   perf: width SalesTicketsTable by:Javier Segarra
-   refactor: #6943 wip use vnTable CustomerCredits by:jorgep
-   refactor: CustomerNotifications use VnTable by:alexm
-   refactor: CustomerPayments use VnTable by:alexm
-   refactor: refs #7014 deleted main files and changed route files by:Jon
-   refactor: refs #7014 improved route.js & deleted RouteMain by:Jon
-   refactor: refs #7014 refactor <module>Main.vue by:Jon
-   refactor: refs #7014 refactor ZoneCard, deleted ZoneMain & created basic tests for functionality by:Jon
-   refactor: refs #7197 use invoiceInSearchbar & queryParams by:jorgep
-   refactor: refs #7323 hidden column filter proposal by:Jon
-   refactor: refs #7356 fixed VnTable filters by:Jon
-   refactor: refs #7356 requested changes by:Jon
-   refactor: wip use vnTable CustomerCredits by:jorgep

### Fixed 🛠️

-   chore: refs #7197 fix test by:jorgep
-   chore: refs #7197 fix tests by:jorgep
-   chore: refs #7197 fix unit tests by:jorgep
-   feat: refs #7323 fix descriptors, added VnTable and minor changes by:Jon
-   feat: refs #7323 fixed tests, changed calendar styles and fix workerCreate by:Jon
-   feat: refs #7356 list & weekly to VnTable and style fixes by:Jon
-   fix(claim): small details (6336-claim-v6) by:alexm
-   fix: columns style by:alexm
-   fix: customer defaulter add amount order (6943-fixCustomer) by:alexm
-   fix: customerDefaulter correct functionality by:alexm
-   fix: customerNotifications filter by:alexm
-   fix: fix conflicts by:Jon
-   fix: refs #6101 fix TicketList by:Jon
-   fix: refs #6891 worker tests by:jorgep
-   fix: refs #6943 drop padding-left checkbox & create wrap mode vnRow by:jorgep
-   fix: refs #6943 prevent undefined by:jorgep
-   fix: refs #7014 fix tests by:Jon
-   fix: refs #7014 fix wagon module by:Jon
-   fix: refs #7197 add url InvoiceInSearchbar by:jorgep
-   fix: refs #7197 amount reactivity by:jorgep
-   fix: refs #7197 drop character by:jorgep
-   fix: refs #7197 reactivity invoiceCorrection by:jorgep
-   fix: refs #7197 responsive summary layout by:jorgep
-   fix: refs #7197 rollback by:jorgep
-   fix: refs #7197 rollback crudModel by:jorgep
-   fix: refs #7197 setInvoiceInCorrecition by:jorgep
-   fix: refs #7197 vat, intrastat, filter and list sections by:jorgep
-   fix: refs #7323 fix department & email table filter by:Jon
-   fix: refs #7323 fixed left filter by:Jon
-   fix: refs #7323 fix workerTimeControl form by:Jon
-   fix: refs #7401 fix routeForm by:pablone
-   fix: refs #7401 remove console.log by:pablone
-   fix: refs CAU 207504 fix itemDiary and logs by:Jon
-   fix: workerCreate form street field to be always upperCase by:Jon
-   hotfix: refs CAU #207614 fix sale.concept field by:Jon
-   refactor: refs #7356 fixed VnTable filters by:Jon
-   refs #6898 fix by:carlossa
-   Ticket expedition initial load fix by:wbuezas

# Version 24.28 - 2024-07-09

### Added 🆕

-   Change header titles style by:wbuezas
-   chore: refs #7436 fix e2e (origin/7436-showQCheckbox) by:jorgep
-   feat: #7196 eslint (origin/7196-cjsToEsm) by:jgallego
-   feat: adapt tu VnTable → CrudModel by:alexm
-   feat(CustomerFIlter): use correct table by:alexm
-   feat(customerList): add searchbar by:alexm
-   feat: customerList is customerExtendedList by:alexm
-   feat: fixes #7196 by:jgallego
-   feat: refs #6739 transferInvoice new checkbox and functionality by:Jon
-   feat: refs #6825 create vnTable and add in CustomerExtendedList by:alexm
-   feat: refs #6825 create vnTableColumn, cardActions by:alexm
-   feat: refs #6825 fix modes by:alexm
-   feat: refs #6825 qchip color by:alexm
-   feat: refs #6825 right filter panel (6825-vnTable) by:alexm
-   feat: refs #6825 scroll for table mode by:alexm
-   feat: refs #6825 share filters, create popup by:alexm
-   feat: refs #6825 VnComponent mix component and attrs Form to create new row by:alexm
-   feat: refs #6825 VnTableFilter and VnPanelFilter init by:alexm
-   feat: refs #6826 added rol summary link by:Jon
-   feat: refs #6896 created VnImg and added to order module by:Jon
-   feat: refs #6896 new filters by:Jon
-   feat: refs #7129 fix some code and add order by:pablone
-   feat: refs #7436 show checkbox by:jorgep
-   feat: refs #7545 Deleted hasIncoterms client column (origin/7545-hasIncoterms) by:guillermo
-   feat(TicketService): use correct format by:alexm
-   feat(url): sepate filters by:alexm
-   feat(VnFilter): merge objects by:alexm
-   feat(VnTable): is-editable and use-model. fix: checkbox by:alexm
-   feat(VnTable): refs #6825 actions sticky by:alexm
-   feat(VnTable): refs #6825 addInWhere by:alexm
-   feat(VnTable): refs #6825 dinamic columns by:alexm
-   feat(VnTable): refs #6825 execute function when create by:alexm
-   feat(VnTable): refs #6825 fix ellipsis and add titles by:alexm
-   feat(VnTable): refs #6825 merge where's by:alexm
-   feat(VnTable): refs #6825 move to folder. fix checkboxs by:alexm
-   feat(VnTable): refs #6825 remove field prop. Add actions in table by:alexm
-   feat(VnTable): refs #6825 use checkbox if startsWith 'is' or 'has' by:alexm
-   feat(VnTable): refs #6825 VnTableChip component by:alexm
-   feat(vnTable): reload data when change url by:alexm
-   feat(WorkerFormation): add columnFilter by:alexm
-   feat(WorkerFormation): is-editable and use-model by:alexm
-   fix: notify icon style by:Javier Segarra
-   refactor: refs #6896 fixed styles by:Jon
-   Revert "feat: fixes #7196" by:alexm
-   style: refs #6464 changed checkbox and qbtn styles by:Jon

### Changed 📦

-   perf: Remove div.col by:Javier Segarra
-   perf: remove ItemPicture by:Javier Segarra
-   perf: replace ItemPicture in favour of VnImg by:Javier Segarra
-   refactor by:wbuezas
-   refactor: refs #5447 changed warehouse filter by:Jon
-   refactor: refs #5447 changed warehouse out filter behavior by:Jon
-   refactor: refs #5447 fixed filter if continent not selected by:Jon
-   refactor: refs #5447 fix request by:Jon
-   refactor: refs #5447 refactor filters by:Jon
-   refactor: refs #6739 changed invoice functions' name by:Jon
-   refactor: refs #6739 changed router.push by:Jon
-   refactor: refs #6739 deleted useless const by:Jon
-   refactor: refs #6739 fix redirect transferInvoice by:Jon
-   refactor: refs #6739 new confirmation window by:Jon
-   refactor: refs #6739 requested changes by:Jon
-   refactor: refs #6739 updated transferInvoice function by:Jon
-   refactor: refs #6896 changes requested in PR by:Jon
-   refactor: refs #6896 end migration orders by:Jon
-   refactor: refs #6896 fixed styles by:Jon
-   refactor: refs #6896 fix qdrawer by:Jon
-   refactor: refs #6896 refactor VnImg by:Jon
-   refactor: refs #6896 requested changes by:Jon
-   refactor: refs #6977 fix VnImg props (origin/6977-ClonedURL) by:Jon
-   refactor: refs #6977 refactor VnImg by:Jon
-   refactor: refs #6977 use VnImg by:Jon
-   refactors by:alexm

### Fixed 🛠️

-   chore: refs #7436 fix e2e (origin/7436-showQCheckbox) by:jorgep
-   feat: fixes #7196 by:jgallego
-   feat: refs #6825 fix modes by:alexm
-   feat: refs #7129 fix some code and add order by:pablone
-   feat(VnTable): is-editable and use-model. fix: checkbox by:alexm
-   feat(VnTable): refs #6825 fix ellipsis and add titles by:alexm
-   feat(VnTable): refs #6825 move to folder. fix checkboxs by:alexm
-   fix(ArrayData): refs #6825 router.replace and use filter.where by:alexm
-   fix: bug replace by:alexm
-   fix: column hidden v-if by:Javier Segarra
-   fix: comment 4 by:Javier Segarra
-   fix: comments by:Javier Segarra
-   fix: cypress.config to mjs by:alexm
-   fix(EntryBuys): fix VnSubtoolbar by:alexm
-   fixes: fix vnFilter params and redirect by:alexm
-   fix: fix warnings by:alexm
-   fix: invoiceDueDay test by:alexm
-   fix log view not refreshing when changing id param by:wbuezas
-   fix: map selected by:Javier Segarra
-   fix: merge dev by:Javier Segarra
-   fix: notify icon style by:Javier Segarra
-   fix: point 1 by:Javier Segarra
-   fix: point 3 by:Javier Segarra
-   fix: refs #5447 deleted console.log by:Jon
-   fix: refs 6464 deleted useless class in checkbox by:Jon
-   fix: refs #6464 fix error isLoading by:Jon
-   fix: refs #6739 changed checkbox field by:Jon
-   fix: refs #6825 css by:carlossa
-   fix: refs #6826 fix redirect by:Jon
-   fix: refs #6826 fix roleDescriptor by:Jon
-   fix: refs #7129 fix e2e by:pablone
-   fix: refs #7129 fix module routes by:pablone
-   fix: refs #7129 fix some issues on load and tools by:pablone
-   fix: refs #7129 remove consoleLog by:pablone
-   fix: refs #7129 remove fix from claim lines by:pablone
-   fix: refs #7274 fix duplicate rows by:jorgep
-   fix: refs #7433 skeleton by:jorgep
-   fix: refs #7623 bugs & tests by:jorgep
-   fix: refs #7623 disable router update by:jorgep
-   fix: refs #7623 redirect by:jorgep
-   fix: refs #7623 test by:jorgep
-   fix: refs #7623 update add updateRoute prop in VnPaginate by:jorgep
-   fix: refs #7623 updating skip param by:jorgep
-   fix: revert cypress mjs by:alexm
-   fix: SkeletonTable by:alexm
-   fix: state translations by:Javier Segarra
-   fix: ticket order by:Javier Segarra
-   fix(ticket router): typo by:alexm
-   fix(TicketService): pay use selected by:alexm
-   fix: TravelLog by:Javier Segarra
-   fix(url): filter by:alexm
-   fix(url): redirect by:alexm
-   fix(VnFilter): filter with params by:alexm
-   fix(VnFilterPanel): remove key by:alexm
-   fix(VnTable): create scss by:alexm
-   fix(VnTable): duplicate fetch by:alexm
-   fix(VnTable): Qtable v-bind by:alexm
-   fix(VnTable): refs #6825 checkbox align and color by:alexm
-   fix(VnTable): refs #6825 fix click sticky column by:alexm
-   fix(VnTable): refs #6825 fix events and css by:alexm
-   fix(VnTable): refs #6825 VnInputDate by:alexm
-   fix(VnTable): showLabel by:alexm
-   fix(VnTable): warns by:alexm
-   fix: WorkerNotificationsManager test by:alexm
-   fix: WorkerSelect option format by:Javier Segarra
-   refactor: refs #5447 fixed filter if continent not selected by:Jon
-   refactor: refs #5447 fix request by:Jon
-   refactor: refs #6739 fix redirect transferInvoice by:Jon
-   refactor: refs #6896 fixed styles by:Jon
-   refactor: refs #6896 fix qdrawer by:Jon
-   refactor: refs #6977 fix VnImg props (origin/6977-ClonedURL) by:Jon
-   refs #6504 fix formModel claimFilter claimCard (origin/6504-fixCardClaim) by:carlossa
-   refs #7406 fix components by:carlossa
-   refs #7406 fix pr by:carlossa
-   refs #7406 fix props by:carlossa
-   refs #7406 fix Tb components create by:carlossa
-   refs #7406 fix trad by:carlossa
-   refs #7406 fix url by:carlossa
-   refs #7406 fix VnTable columns by:carlossa
-   refs #7409 fix balance and formation by:carlossa
-   refs #7409 fix trad by:carlossa
-   Revert "feat: fixes #7196" by:alexm
-   test: fix intermitent e2e by:alexm
-   test: fix vnSearchbar adapt to vnTable (origin/7648_dev_customerEntries) by:alexm

# Version 24.24 - 2024-06-11

### Added 🆕

-   feat: 6942 hashtag in key : value summary by:jgallego
-   feat: #6957: Rename FetchedTags instance tag by:Javier Segarra
-   feat: refactor template by:Javier Segarra
-   feat: refs #6600 Add option to add comment for photo motivation by:jorgep
-   feat: refs #6942 test e2e tobook & toUnbook by:jorgep
-   feat: refs #6942 to book summary button & reactive value by:jorgep
-   feat: refs #6942 to unbook by:jorgep
-   feat: refs #6942 url update by:jorgep
-   feat: refs #6942 use correct currency in InvoiceIn components by:jorgep
-   feat: refs #6942 vat rate total by:jorgep
-   feat: refs #7494 new icons (7494-icons) by:alexm
-   feat: refs #7494 new icons by:alexm
-   feat: refs #7542 drop space by:jorgep
-   feat: refs #7542 empty by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: style by:Javier Segarra
-   style: color transparent when is fetive by:Javier Segarra
-   style: fix color when is empty by:Javier Segarra
-   style: reset poc style (6957_refactorFetechedTags) by:Javier Segarra
-   style: reset poc style by:Javier Segarra
-   style updates by:Javier Segarra

### Changed 📦

-   feat: refactor template by:Javier Segarra
-   perf: 6957 add color as new shared variable by:Javier Segarra
-   perf: 6957 change fetchedTags color by:Javier Segarra
-   perf: remove local tree variable by:Javier Segarra
-   refactor: add flat by:alexm
-   refactor: refs #6600 replace QInput to VnInput by:jorgep
-   refactor: refs #6652 improved defaulter section by:Jon
-   refactor: refs #6942 Fix getTotalAmount function to correctly calculate the total amount in InvoiceInDueDay.vue by:jorgep
-   refactor: refs #6942 new summary layout by:jorgep
-   refactor: refs #6942 store key & actions by:jorgep
-   refactor: refs #6942 summary by:jorgep
-   refactor: refs #6942 use router hook by:jorgep
-   refactor: refs #6942 WIP summary layout by:jorgep

### Fixed 🛠️

-   fix: 9-12 by:Javier Segarra
-   fix: defaulter icon by:alexm
-   fix: refs #5186 validation by:jorgep
-   fix: refs #6095 add reFfk null on search by:pablone
-   fix: refs #6942 cardDescriptor use store if its popup or different source data by:jorgep
-   fix: refs #6942 changes and new features by:jorgep
-   fix: refs #6942 drop comments by:jorgep
-   fix: refs #6942 drop console by:jorgep
-   fix: refs #6942 drop console.log by:jorgep
-   fix: refs #6942 e2e test (origin/6942-warmfix-fixFormModel) by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 e2e tests by:jorgep
-   fix: refs #6942 fix emit on data saved by:jorgep
-   fix: refs #6942 fix emit on reset by:jorgep
-   fix: refs #6942 fix vncard by:jorgep
-   fix: refs #6942 formModel & CardDescriptor by:jorgep
-   fix: refs #6942 formModel watch changes & invoiceInCreate by:jorgep
-   fix: refs #6942 import by:jorgep
-   fix: refs #6942 reloading by:jorgep
-   fix: refs #6942 rollback by:jorgep
-   fix: refs #6942 selectable expense by:jorgep
-   fix: refs #6942 skip e2e tests by:jorgep
-   fix: refs #6942 table bottom highlight & drop isBooked field by:jorgep
-   fix: refs #6942 tests e2e by:jorgep
-   fix: refs #6942 tests & summary table spacing by:jorgep
-   fix: refs #6942 unit tests by:jorgep
-   fix: refs #6942 vnLocation by:jorgep
-   fix: refs #6942 wip: formModel by:jorgep
-   fix: refs #7542 use right panel by:jorgep
-   fix: searchbar redirect by:alexm
-   fix: style by:Javier Segarra
-   fix: WorkerCalendarItem by:Javier Segarra
-   mini fix by:wbuezas
-   refs #6111 clean code fix changes by:carlossa
-   refs #6111 fix merge, fix column by:carlossa
-   refs #6111 fix qtable, actions, scroll by:carlossa
-   refs #6111 fix routeList by:carlossa
-   refs #6111 fix sticky by:carlossa
-   refs #6111 fix trad remove logs by:carlossa
-   refs #6111 fix visibleColumns by:carlossa
-   refs #6111 routeList fix by:carlossa
-   refs #6332 fix calendar by:carlossa
-   refs #6332 fix colors by:carlossa
-   refs #6332 fix festive by:carlossa
-   refs #6820 fix BasicData Tickets by:carlossa
-   refs #6820 fix error front by:carlossa
-   refs #6820 fix traduction by:carlossa
-   refs #7391 fix textarea by:carlossa
-   refs #7396 fix summary by:carlossa
-   Search childs fix by:wbuezas
-   small fix by:wbuezas
-   style: fix color when is empty by:Javier Segarra

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [2420.01]

### Added

-   (Item) => Se añade la opción de añadir un comentario del motivo de hacer una foto
-   (Worker) => Se añade la opción de crear un trabajador ajeno a la empresa
-   (Route) => Ahora se muestran todos los cmrs

## [2418.01]

## [2416.01] - 2024-04-18

### Added

-   (Worker) => Se crea la sección Taquilla
-   (General) => Se mantiene el filtro lateral en cualquier parte de la seccíon.

### Fixed

-   (General) => Se vuelven a mostrar los parámetros en la url al aplicar un filtro

## [2414.01] - 2024-04-04

### Added

-   (Tickets) => Se añade la opción de clonar ticket. #6951
-   (Parking) => Se añade la sección Parking. #5186

-   (Rutas) => Se añade el campo "servida" a la tabla y se añade también a los filtros. #7130

### Changed

### Fixed

-   (General) => Se corrige la redirección cuando hay 1 solo registro y cuando se aplica un filtro diferente al id al hacer una búsqueda general. #6893

## [2400.01] - 2024-01-04

### Added

### Changed

### Fixed

## [2350.01] - 2023-12-14

### Added

-   (Carros) => Se añade contador de carros. #6545
-   (Reclamaciones) => Se añade la sección para hacer acciones sobre una reclamación. #5654

### Changed

### Fixed

-   (Reclamaciones) => Se corrige el color de la barra según el tema y el evento de actualziar cantidades #6334

## [2253.01] - 2023-01-05

### Added

-   (Clientes) => Añadida nueva sección "Pagos Web" para gestionar los pagos de todos los clientes
-   (Tickets) => Añadida opción en el menú desplegable del ticket para enviar SMS al cliente
-   (Reclamaciones) => Añadida nueva sección "Registros de auditoría"
-   (Trabajadores) => Añadido módulo de trabajadores
-   (General) => Añadida barra de búsqueda general en los listados principales
-   (Vagones) => Añadido módulo de vagones

### Changed

-   Changed...
