export default {
    name: 'AliasCard',
    path: ':id',
    component: () => import('src/pages/Account/Alias/Card/AliasCard.vue'),
    redirect: { name: 'AliasSummary' },
    meta: { menu: ['AliasBasicData', 'AliasUsers'] },
    children: [
        {
            name: 'AliasSummary',
            path: 'summary',
            meta: {
                title: 'summary',
                icon: 'launch',
            },
            component: () => import('src/pages/Account/Alias/Card/AliasSummary.vue'),
        },
        {
            name: 'AliasBasicData',
            path: 'basic-data',
            meta: {
                title: 'basicData',
                icon: 'vn:settings',
            },
            component: () => import('src/pages/Account/Alias/Card/AliasBasicData.vue'),
        },
        {
            name: 'AliasUsers',
            path: 'users',
            meta: {
                title: 'aliasUsers',
                icon: 'group',
            },
            component: () => import('src/pages/Account/Alias/Card/AliasUsers.vue'),
        },
    ],
};
