/// <reference types="cypress" />
describe('VnBreadcrumbs', () => {
    const lastBreadcrumb = '.q-breadcrumbs--last > .q-breadcrumbs__el';
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit('/');
    });

    it('should not be breadcrumbs', () => {
        cy.get('.q-breadcrumbs').should('not.exist');
    });

    it('should get the correct breadcrumbs', () => {
        cy.visit('#/customer/1/summary');
        cy.get(`${lastBreadcrumb} > .q-icon`).should('have.text', 'launch');
    });
});
