import { describe, expect, it } from 'vitest';
import { useAccountShortToStandard } from 'src/composables/useAccountShortToStandard';

describe('useAccountShortToStandard()', () => {
    it('should pad the decimal part with zeros for short numbers', () => {
        expect(useAccountShortToStandard('123.45')).toBe('1230000045');
        expect(useAccountShortToStandard('123.')).toBe('1230000000');
    });
});
